*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${bindDeviceAsyncUrl}    IDeviceService

*** Keywords ***
BindDeviceAsyncPost
    [Arguments]    ${token}    ${serialNumber}    ${name}    ${description}    ${headPicUrl}    ${organizationCode}    ${departmentCode}    ${shortCode}    ${isAutoShared}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    SerialNumber    ${serialNumber}
    Set To Dictionary    ${param}    Name    ${name}
    Set To Dictionary    ${param}    Description    ${description}
    Set To Dictionary    ${param}    HeadPicUrl    ${headPicUrl}
    Set To Dictionary    ${param}    OrganizationCode    ${organizationCode}
    Set To Dictionary    ${param}    DepartmentCode    ${departmentCode}
    Set To Dictionary    ${param}    ShortCode    ${shortCode}
    ${isAutoShared1}    Convert To Boolean    ${isAutoShared}
    Set To Dictionary    ${param}    IsAutoShared    ${isAutoShared1}
    ${body}    Generate Params    BindDeviceAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${bindDeviceAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
