*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot
Library           String

*** Variables ***
${createShareDeviceToUserAsyncUrl}    IDeviceService

*** Keywords ***
CreateShareDeviceToUserAsyncPost
    [Arguments]    ${token}    ${userCode}    ${deviceCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${userCodes}    Split String    ${userCode}    ,
    Set To Dictionary    ${param}    UserCodes    ${userCodes}
    Set To Dictionary    ${param}    DeviceCode    ${deviceCode}
    ${body}    Generate Params    CreateShareDeviceToUserAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${createShareDeviceToUserAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
