*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${findDeviceModelItemsAsyncUrl}    IDeviceService

*** Keywords ***
findDeviceModelItemsAsyncPost
    [Arguments]    ${token}    ${dictionaryType}    ${deviceTypeCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${dictionaryType1}    Convert To Integer    ${dictionaryType}
    Set To Dictionary    ${param}    DictionaryType    ${dictionaryType1}
    Set To Dictionary    ${param}    DeviceTypeCode    ${deviceTypeCode}
    ${body}    Generate Params    FindDeviceModelItemsAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${findDeviceModelItemsAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
