*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${getDeviceByShortCodeAsyncUrl}    IDeviceService

*** Keywords ***
GetDeviceByShortCodeAsyncPost
    [Arguments]    ${token}    ${shortCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    ShortCode    ${shortCode}
    ${body}    Generate Params    GetDeviceByShortCodeAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${getDeviceByShortCodeAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
