*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${createRecordInfoAsyncUrl}    IRecordInfoService

*** Keywords ***
CreateRecordInfoAsyncPost
    [Arguments]    ${token}    ${patientCode}    ${deviceCode}    ${patientInfoExtList}
    ${newList}    Create List
    ${patientInfoExtList}    Set Variable If    "${patientInfoExtList}"=="${EMPTY}"    ${newList}    ${patientInfoExtList}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    PatientCode    ${patientCode}
    Set To Dictionary    ${param}    DeviceCode    ${deviceCode}
    Set To Dictionary    ${param}    PatientInfoExtList    ${patientInfoExtList}
    ${body}    Generate Params    CreateRecordInfoAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${createRecordInfoAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
