*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${finishRecordAsyncUrl}    IRecordInfoService

*** Keywords ***
FinishRecordAsyncPost
    [Arguments]    ${token}    ${recordCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    RecordCode    ${recordCode}
    ${body}    Generate Params    FinishRecordAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${finishRecordAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
