*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${getRecordInfoPagesAsyncUrl}    IRecordInfoService

*** Keywords ***
GetRecordInfoPagesAsyncPost
    [Arguments]    ${token}    ${pageIndex}    ${pageSize}    ${patientCode}    ${queryRecordStatus}    ${queryRecordCreateType}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${pageIndex1}    Convert To Integer    ${pageIndex}
    Set To Dictionary    ${param}    PageIndex    ${pageIndex1}
    ${pageSize1}     Convert To Integer    ${pageSize}
    Set To Dictionary    ${param}    PageSize    ${pageSize1}
    Set To Dictionary    ${param}    PatientCode    ${patientCode}
    ${queryRecordStatus1}    Convert To Integer    ${queryRecordStatus}
    Set To Dictionary    ${param}    QueryRecordStatus    ${queryRecordStatus1}
    ${queryRecordCreateType1}    Convert To Integer    ${queryRecordCreateType}
    Set To Dictionary    ${param}    QueryRecordCreateType    ${queryRecordCreateType1}
    ${body}    Generate Params    GetRecordInfoPagesAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${getRecordInfoPagesAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
