*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${getUnReadExamNumAsyncUrl}    IRecordInfoService

*** Keywords ***
GetUnReadExamNumAsyncPost
    [Arguments]    ${token}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${body}    Generate Params    QueryRecordInfoAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${getUnReadExamNumAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
