*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${relevanceRecordAsyncUrl}    IRecordInfoService

*** Keywords ***
RelevanceRecordAsyncPost
    [Arguments]    ${token}    ${examCode}    ${rservationCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    ExamCode    ${examCode}
    Set To Dictionary    ${param}    RservationCode    ${rservationCode}
    ${body}    Generate Params    RelevanceRecordAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${relevanceRecordAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
