*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${addOrganizationsAsyncUrl}    IOrganizationService

*** Keywords ***
AddOrganizationsAsyncPost
    [Arguments]    ${token}    ${organizationName}    ${parentCode}    ${extendsData}    ${patientType}    ${languageCode}
    ${organizationInfo}    Create Dictionary
    Set To Dictionary    ${organizationInfo}    OrganizationName    ${organizationName}
    Set To Dictionary    ${organizationInfo}    ParentCode    ${parentCode}
    Set To Dictionary    ${organizationInfo}    ExtendsData    ${extendsData}
    ${patientType1}    Convert To Integer    ${patientType}
    Set To Dictionary    ${organizationInfo}    PatientType    ${patientType1}
    ${organizationInfos}    Create List
    Append To List    ${organizationInfos}    ${organizationInfo}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    OrganizationInfos    ${organizationInfos}
    Set To Dictionary    ${param}    LanguageCode    ${languageCode}
    ${body}    Generate Params    AddOrganizationsAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${addOrganizationsAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
