*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${removeRanksAsyncUrl}    IRankService

*** Keywords ***
RemoveRanksAsyncPost
    [Arguments]    ${token}    ${rankCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${rankCodes}    Split String    ${rankCode}    ,
    Set To Dictionary    ${param}    RankCodes    ${rankCodes}
    ${body}    Generate Params    RemoveRanksAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${removeRanksAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}

RemoveRanksAsyncPost_RankCodes
    [Arguments]    ${token}    ${rankCodes}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    RankCodes    ${rankCodes}
    ${body}    Generate Params    RemoveRanksAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${removeRanksAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
