*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${url}            IPatientService

*** Keywords ***
FindPatientsAsyncPost
    [Arguments]    ${token}    ${pageIndex}    ${pageSize}    ${keyWord}    ${startTime}    ${endTime}    ${isValid}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${pageIndex1}    Convert To Integer    ${pageIndex}
    Set To Dictionary    ${param}    PageIndex    ${pageIndex1}
    ${pageSize1}    Convert To Integer    ${pageSize}
    Set To Dictionary    ${param}    PageSize    ${pageSize1}
    Set To Dictionary    ${param}    KeyWord    ${keyWord}
    #${startTime}    Get Current Date    UTC    - 30 days
    #${startTime}=    Convert Date    ${startTime}    %Y-%m-%dT%H:%M:%SZ
    #${endTime}    Get Current Date    UTC
    #${endTime}=    Convert Date    ${endTime}    %Y-%m-%dT%H:%M:%SZ
    Set To Dictionary    ${param}    StartTime    ${startTime}
    Set To Dictionary    ${param}    EndTime    ${endTime}
    ${isValid1}    Convert To Integer    ${isValid}
    Set To Dictionary    ${param}    IsValid    ${isValid1}
    ${body}    Generate Params    FindPatientsAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${url}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
