*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${removePatientsAsyncUrl}    IPatientService

*** Keywords ***
RemovePatientsAsyncPost
    [Arguments]    ${token}    ${patientCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${list} =    Create List
    ${patientCodes}=    Set Variable If    '${patientCode}' == '${EMPTY}'    ${list}    ${patientCode.split(',')}
    Set To Dictionary    ${param}    PatientCodes    ${patientCodes}
    ${body}    Generate Params    RemovePatientsAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${removePatientsAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
