*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${findAuthenticationRolesAsyncUrl}    IRoleService

*** Keywords ***
FindAuthenticationRolesAsyncPost
    [Arguments]    ${token}    ${language}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    Language    ${language}
    ${body}    Generate Params    FindAuthenticationRolesAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${findAuthenticationRolesAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
