*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${getLastIdentityApplyAsyncUrl}    IIdentityApplyService

*** Keywords ***
GetLastIdentityApplyAsyncPost
    [Arguments]    ${token}    ${applyRoleCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    ApplyRoleCode    ${applyRoleCode}
    ${body}    Generate Params    GetLastIdentityApplyAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${getLastIdentityApplyAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
