*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${getPositionsAsyncUrl}    IPositionService

*** Keywords ***
GetPositionsAsyncPost
    [Arguments]    ${token}    ${positionCode}    ${organizationCode}    ${fitDepartmentCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${positionCodes}    Split String    ${positionCode}
    ${organizationCodes}    Split String    ${organizationCode}
    Set To Dictionary    ${param}    PositionCodes    ${positionCodes}
    Set To Dictionary    ${param}    OrganizationCodes    ${organizationCodes}
    Set To Dictionary    ${param}    FitDepartmentCode    ${fitDepartmentCode}
    ${body}    Generate Params    GetPositionsAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${getPositionsAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
