*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${getRegionsAsyncUrl}    IRegionService

*** Keywords ***
GetRegionsAsyncPost
    [Arguments]    ${version}    ${languageType}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Version    ${version}
    Set To Dictionary    ${param}    LanguageType    ${languageType}
    ${body}    Generate Params    GetRegionsAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${getRegionsAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
