*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${getShareDeviceUsersAsyncUrl}    IUserService

*** Keywords ***
GetShareDeviceUsersAsyncPost
    [Arguments]    ${token}    ${pageIndex}    ${pageSize}    ${deviceCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${pageIndex11}    Convert to Integer    ${pageIndex}
    Set To Dictionary    ${param}    PageIndex    ${pageIndex11}
    ${pageSize11}    Convert to Integer    ${pageSize}
    Set To Dictionary    ${param}    PageSize    ${pageSize11}
    Set To Dictionary    ${param}    DeviceCode    ${deviceCode}
    ${body}    Generate Params    GetShareDeviceUsersAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${getShareDeviceUsersAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
