*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${getUserFeatureListAsyncUrl}    IUserService

*** Keywords ***
GetUserFeatureListAsyncPost
    [Arguments]    ${token}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${body}    Generate Params    GetUserFeatureListAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${getUserFeatureListAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
