*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${getUserInfoAsyncUrl}    IUserService

*** Keywords ***
GetUserInfoAsyncPost
    [Arguments]    ${token}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${body}    Generate Params    GetUserInfoAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${getUserInfoAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}

GetUserInfoAsyncPostUserCode
    [Arguments]    ${token}
    ${res}    GetUserInfoAsyncPost    ${token}
    ${content}    Get From Dictionary    ${res}    content
    ${userCode}    Get From Dictionary    ${content}    UserCode
    [Return]    ${userCode}
