*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${heartRateAsyncUrl}    IUserService

*** Keywords ***
HeartRateAsyncPost
    [Arguments]    ${token}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${body}    Generate Params    HeartRateAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${heartRateAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
