*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${updatePositionNameAsyncUrl}    IPositionService

*** Keywords ***
UpdatePositionNameAsyncPost
    [Arguments]    ${token}    ${positionCode}    ${positionName}    ${fitDepartmentCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    PositionCode    ${positionCode}
    Set To Dictionary    ${param}    PositionName    ${positionName}
    Set To Dictionary    ${param}    FitDepartmentCode    ${fitDepartmentCode}
    ${body}    Generate Params    UpdatePositionNameAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${updatePositionNameAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
