*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${getDeviceByTokenAsyncUrl}    IConnectService

*** Keywords ***
GetDeviceByTokenAsyncPost
    [Arguments]    ${token}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${body}    Generate Params    GetDeviceByTokenAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${getDeviceByTokenAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}

GetDeviceByTokenAsyncPost_DeviceCode
    [Arguments]    ${token}
    ${res}    GetDeviceByTokenAsyncPost    ${token}
    log    ${res}
    ${content}    Get From Dictionary    ${res}    content
    ${deviceCode}    Get From Dictionary    ${content}    DeviceCode
    [Return]    ${deviceCode}
