*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${createExamInfoAsyncUrl}    IRemedicalService

*** Keywords ***
CreateExamInfoAsyncPost
    [Arguments]    ${token}    ${patientType}    ${examRecordCode}    ${patientInfo}    ${patientScanInfoList}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    PatientType    ${patientType}
    Set To Dictionary    ${param}    ExamRecordCode    ${examRecordCode}
    Set To Dictionary    ${param}    PatientInfo    ${patientInfo}
    Set To Dictionary    ${param}    PatientScanInfoList    ${patientScanInfoList}
    ${body}    Generate Params    CreateExamInfoAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${createExamInfoAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}

CreateExamInfoAsyncPost_ExamCode
    [Arguments]    ${token}    ${patientType}    ${examRecordCode}    ${patientInfo}    ${patientScanInfoList}
    ${res}    CreateExamInfoAsyncPost    ${token}    ${patientType}    ${examRecordCode}    ${patientInfo}    ${patientScanInfoList}
    ${content}    Get From Dictionary    ${res}    content
    ${examCode}    Get From Dictionary    ${content}    ExamCode
    [Return]    ${examCode}
