*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${uploadExamDataAsyncUrl}    IRemedicalService

*** Keywords ***
UploadExamDataAsyncPost
    [Arguments]    ${token}    ${examCode}    ${previewFileToken}    ${fileToken}    ${fileSize}    ${coverImageToken}    ${applicationCategory}    ${application}    ${fileDataType}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    ExamCode    ${examCode}
    Set To Dictionary    ${param}    PreviewFileToken    ${previewFileToken}
    Set To Dictionary    ${param}    FileToken    ${fileToken}
    ${fileSize1}    Convert To Integer    ${fileSize}
    Set To Dictionary    ${param}    FileSize    ${fileSize1}
    Set To Dictionary    ${param}    CoverImageToken    ${coverImageToken}
    Set To Dictionary    ${param}    ApplicationCategory    ${applicationCategory}
    Set To Dictionary    ${param}    Application    ${application}
    ${fileDataType1}    Convert To Integer    ${fileDataType}
    Set To Dictionary    ${param}    FileDataType    ${fileDataType1}
    ${body}    Generate Params    UploadExamDataAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${uploadExamDataAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
