*** Settings ***
Documentation     客户端-获取认证角色申请状态信息列表
Test Setup
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonLoginAsync.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/GetIdentityApplysAsync.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***

*** Test Cases ***
Class_001_获取认证角色申请状态信息列表
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_jo0221}[0]    ${EMPTY}    ${user_jo0221}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    GetIdentityApplysAsyncPost    ${token}
    ${content}    Get From Dictionary    ${res}    content
    Log    ${content}
    Should Not Be Empty    ${content}

Exception_001_获取认证角色申请状态信息列表，Token非空校验
    [Template]
    ${res}    GetIdentityApplysAsyncPost    ${EMPTY}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

Exception_002_获取认证角色申请状态信息列表，Token正确性检验
    [Template]
    ${res}    GetIdentityApplysAsyncPost    111aaa
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

*** Keywords ***
