*** Settings ***
Documentation     根据登录用户获取权限列表
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonLoginAsync.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/GetUserFeatureListAsync.robot
Resource          ../../../CommonConfig/Config.robot

*** Test Cases ***
Class_001_根据登录用户获取权限列表
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    GetUserFeatureListAsyncPost    ${token}
    Log    ${res}
    ${content}    Get From Dictionary    ${res}    content
    ${length}    Get Length    ${content}
    Run Keyword If    ${length}>0    Log    true

Exception_001_根据登录用户获取权限列表，Token非空校验
    ${res}    GetUserFeatureListAsyncPost    ${EMPTY}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

Exception_002_根据登录用户获取权限列表，Token正确性校验
    ${res}    GetUserFeatureListAsyncPost    1111aaaaa
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}
