*** Settings ***
Documentation     客户端-获取用户信息
Suite Setup
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonLoginAsync.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/GetUserInfoAsync.robot

*** Variables ***

*** Test Cases ***
Class_001_获取用户信息
    [Setup]
    [Template]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    GetUserInfoAsyncPost    ${token}
    Log    ${res}
    ${content}    Get From Dictionary    ${res}    content
    ${userName}    Get From Dictionary    ${content}    UserName
    Should Be Equal As Strings    ${userName}    ${user_mao}[0]

Exception_001_获取用户信息，Token非空校验
    [Template]
    ${res}    GetUserInfoAsyncPost    ${EMPTY}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

Exception_002_获取用户信息，Token正确性校验
    [Template]
    ${res}    GetUserInfoAsyncPost    11111111
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

*** Keywords ***
