*** Settings ***
Documentation     客户端心跳
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/HeartRateAsync.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonLoginAsync.robot

*** Test Cases ***
Class_001_客户端在线，检查客户端心跳
    [Setup]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    HeartRateAsyncPost    ${token}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}

Exception_001_客户端不在线，检查客户端心跳
    [Setup]
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${token1}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    ${res}    HeartRateAsyncPost    ${token}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

Exception_002_检查客户端心跳，Token非空校验
    [Setup]
    ${res}    HeartRateAsyncPost    ${EMPTY}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

Exception_003_检查客户端心跳，Token正确性校验
    [Setup]
    ${res}    HeartRateAsyncPost    avcdeee
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}
