*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${createDictionaryItemAsyncUrl}    IDeviceService

*** Keywords ***
CreateDictionaryItemAsyncPost
    [Arguments]    ${token}    ${dictionaryType}    ${dictionaryItemValue}    ${parentCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${dictionaryType1}    Convert To Integer    ${dictionaryType}
    Set To Dictionary    ${param}    DictionaryType    ${dictionaryType1}
    Set To Dictionary    ${param}    DictionaryItemValue    ${dictionaryItemValue}
    Set To Dictionary    ${param}    ParentCode    ${parentCode}
    ${body}    Generate Params    CreateDictionaryItemAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${createDictionaryItemAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
