*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${modifyDeviceDiagnosisModuleStateAsyncUrl}    IDeviceService

*** Keywords ***
ModifyDeviceDiagnosisModuleStateAsyncPost
    [Arguments]    ${token}    ${deviceCode}    ${diagnosisModule}    ${enabled}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    DeviceCode    ${deviceCode}
    Set To Dictionary    ${param}    DiagnosisModule    ${diagnosisModule}
    ${enabled1}    Convert To Boolean    ${enabled}
    Set To Dictionary    ${param}    Enabled    ${enabled1}
    ${body}    Generate Params    ModifyDeviceDiagnosisModuleStateAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${modifyDeviceDiagnosisModuleStateAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
