*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${removeDeviceRelevancyAsyncUrl}    IDeviceService

*** Keywords ***
RemoveDeviceRelevancyAsyncPost
    [Arguments]    ${token}    ${organizationCode}    ${departmentCode}    ${deviceCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    OrganizationCode    ${organizationCode}
    Set To Dictionary    ${param}    DepartmentCode    ${departmentCode}
    Set To Dictionary    ${param}    DeviceCode    ${deviceCode}
    ${body}    Generate Params    RemoveDeviceRelevancyAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${removeDeviceRelevancyAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
