*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${getOrganizationByCodeAsyncUrl}    IOrganizationService

*** Keywords ***
GetOrganizationSettingAsyncPost
    [Arguments]    ${token}    ${settingType}    ${version}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    ${settingType1}    Convert to Integer    ${settingType}
    Set To Dictionary    ${param}    SettingType    ${settingType1}
    Set To Dictionary    ${param}    Version    ${version}
    ${body}    Generate Params    GetOrganizationSettingAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${getOrganizationByCodeAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
