*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${updateRankNameAsyncUrl}    IRankService

*** Keywords ***
UpdateRankNameAsyncPost
    [Arguments]    ${token}    ${rankCode}    ${rankName}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    RankCode    ${rankCode}
    Set To Dictionary    ${param}    RankName    ${rankName}
    ${body}    Generate Params    UpdateRankNameAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${updateRankNameAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
