*** Settings ***
Documentation     创建病人
...               ---参数AssignmentUserCodes目前未用20230523
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${createPatientAsyncUrl}    IPatientService

*** Keywords ***
CreatePatientAsyncPost
    [Arguments]    ${token}    ${patientData}    ${assignmentUserCode}
    ${newList}    Create List
    ${patientData}    Set Variable If    "${patientData}"=="${EMPTY}"    ${newList}    ${patientData}
    Log    ${patientData}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    PatientData    ${patientData}
    ${assignmentUserCodes}    Split String    ${assignmentUserCode}    ,
    Set To Dictionary    ${param}    AssignmentUserCodes    ${assignmentUserCodes}
    ${body}    Generate Params    CreatePatientAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${createPatientAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}

CreatePatientAsyncPost_PatientCode
    [Arguments]    ${token}    ${patientData}    ${assignmentUserCode}
    ${res}    CreatePatientAsyncPost    ${token}    ${patientData}    ${assignmentUserCode}
    ${patientCode}    Get From Dictionary    ${res}    content
    [Return]    ${patientCode}
