*** Settings ***
Documentation     未登记关联创建病人
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${createPatientByUnregisteredAsyncUrl}    /IPatientService

*** Keywords ***
CreatePatientByUnregisteredAsyncPost
    [Arguments]    ${token}    ${unregisteredPatientCode}    ${patientName}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    UnregisteredPatientCode    ${unregisteredPatientCode}
    Set To Dictionary    ${param}    PatientName    ${patientName}
    ${body}    Generate Params    CreatePatientByUnregisteredAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${createPatientByUnregisteredAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
