*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Library           String
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${alterUserInfoAsyncUrl}    IUserService

*** Keywords ***
AlterUserInfoAsyncPost
    [Arguments]    ${token}    ${phone}    ${email}    ${nickName}    ${fullName}    ${headImageUrl}    ${organizationCode}    ${extensionData}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    Token    ${token}
    Set To Dictionary    ${param}    Phone    ${phone}
    Set To Dictionary    ${param}    Email    ${email}
    Set To Dictionary    ${param}    NickName    ${nickName}
    Set To Dictionary    ${param}    FullName    ${fullName}
    Set To Dictionary    ${param}    HeadImageUrl    ${headImageUrl}
    Set To Dictionary    ${param}    OrganizationCode    ${organizationCode}
    Set To Dictionary    ${param}    ExtensionData    ${extensionData}
    ${body}    Generate Params    AlterUserInfoAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${alterUserInfoAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
