*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${sendEmailVerificationCodeAsyncUrl}    ILoginService

*** Keywords ***
SendEmailVerificationCodeAsyncPost
    [Arguments]    ${emailaddress}    ${languageCode}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    EmailAddress    ${emailaddress}
    Set To Dictionary    ${param}    LanguageCode    ${languageCode}
    ${body}    Generate Params    SendEmailVerificationCodeAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${sendEmailVerificationCodeAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
