*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${verifyAccountAsyncUrl}    ILoginService

*** Keywords ***
VerifyAccountAsyncPost
    [Arguments]    ${username}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    UserName    ${username}
    ${body}    Generate Params    VerifyAccountAsync    ${param}
    Log    ${body}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${verifyAccountAsyncUrl}    ${body}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}
