*** Settings ***
Library           CustomLibrary
Resource          ../../../Utils/HttpClient.robot
Resource          ../../../CommonConfig/Config.robot

*** Variables ***
${connectAsyncUrl}    IConnectService

*** Keywords ***
ConnectAsyncPost
    [Arguments]    ${deviceUniqueCode}    ${password}    ${deviceModel}    ${deviceType}    ${softwareVersion}    ${systemVersion}    ${cPUModel}    ${systemLanguage}    ${description}    ${name}    ${organizationCode}    ${departmentCode}    ${platform}    ${loginSource}    ${installVersion}
    ${param}    Create Dictionary
    Set To Dictionary    ${param}    DeviceUniqueCode    ${deviceUniqueCode}
    Set To Dictionary    ${param}    Password    ${password}
    Set To Dictionary    ${param}    DeviceModel    ${deviceModel}
    Set To Dictionary    ${param}    DeviceType    ${deviceType}
    Set To Dictionary    ${param}    SoftwareVersion    ${softwareVersion}
    Set To Dictionary    ${param}    SystemVersion    ${systemVersion}
    Set To Dictionary    ${param}    CPUModel    ${cPUModel}
    Set To Dictionary    ${param}    SystemLanguage    ${systemLanguage}
    Set To Dictionary    ${param}    Description    ${description}
    Set To Dictionary    ${param}    Name    ${name}
    Set To Dictionary    ${param}    OrganizationCode    ${organizationCode}
    Set To Dictionary    ${param}    DepartmentCode    ${departmentCode}
    ${platform1}    Convert To Integer    ${platform}
    Set To Dictionary    ${param}    Platform    ${platform1}
    ${loginSource1}    Convert To Integer    ${loginSource}
    Set To Dictionary    ${param}    LoginSource    ${loginSource1}
    Set To Dictionary    ${param}    InstallVersion    ${installVersion}
    ${body}    Generate Params    ConnectAsync    ${param}
    Log    ${param}
    Log    ---开始断言验证---
    ${response}    PostRequest    ${host}    ${connectAsyncUrl}    ${body}
    Log    ${response}
    ${res}    Response Analysis    ${response}
    Log    ${res}
    [Return]    ${res}

GetConnectAsyncToken
    [Arguments]    ${deviceUniqueCode}    ${password}    ${deviceModel}    ${deviceType}    ${softwareVersion}    ${systemVersion}    ${cPUModel}    ${systemLanguage}    ${description}    ${name}    ${organizationCode}    ${departmentCode}    ${platform}    ${loginSource}    ${installVersion}
    ${res}    ConnectAsyncPost    ${deviceUniqueCode}    ${password}    ${deviceModel}    ${deviceType}    ${softwareVersion}    ${systemVersion}    ${cPUModel}    ${systemLanguage}    ${description}    ${name}    ${organizationCode}    ${departmentCode}    ${platform}    ${loginSource}    ${installVersion}
    log    ${res}
    ${content}    Get From Dictionary    ${res}    content
    ${token}    Get From Dictionary    ${content}    Token
    [Return]    ${token}

GetConnectAsyncUniqueCode
    [Arguments]    ${deviceUniqueCode}    ${password}    ${deviceModel}    ${deviceType}    ${softwareVersion}    ${systemVersion}    ${cPUModel}    ${systemLanguage}    ${description}    ${name}    ${organizationCode}    ${departmentCode}    ${platform}    ${loginSource}    ${installVersion}
    ${res}    ConnectAsyncPost    ${deviceUniqueCode}    ${password}    ${deviceModel}    ${deviceType}    ${softwareVersion}    ${systemVersion}    ${cPUModel}    ${systemLanguage}    ${description}    ${name}    ${organizationCode}    ${departmentCode}    ${platform}    ${loginSource}    ${installVersion}
    log    ${res}
    ${content}    Get From Dictionary    ${res}    content
    ${uniqueCode}    Get From Dictionary    ${content}    UniqueCode
    [Return]    ${uniqueCode}
