*** Settings ***
Documentation     设备心跳
Resource          ../../../AllApi/DeviceAPI/DevicceInfoApi/ConnectAsync.robot
Resource          ../../../AllApi/ClientAPI/DeviceInformationApi/HeartRateAsync.robot
Resource          ../../../AllApi/DeviceAPI/DevicceInfoApi/DisConnectAsync.robot

*** Test Cases ***
Class_001_设备心跳，设备在线
    #超声设备连接云服务，获取Token
    ${token}    GetConnectAsyncToken    BFEBFBFF000906EA-627629CA-B70D-418E-8238-5FA9E077D0F6    ${EMPTY}    USDemoV2    US    2.11.0    2.2.27.5    I5-8400    zh-CN    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    0    0    ${EMPTY}
    #设备心跳
    ${response}    HeartRateAsyncPost    ${token}
    #设备心跳校验
    ${flag}    Result Analysis    ${response}    True    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}

Exception_001_设备心跳，Token失效
    #超声设备连接云服务
    ${token}    GetConnectAsyncToken    BFEBFBFF000906EA-627629CA-B70D-418E-8238-5FA9E077D0F6    ${EMPTY}    USDemoV2    US    2.11.0    2.2.27.5    I5-8400    zh-CN    ${EMPTY}    ${EMPTY}    ${EMPTY}    ${EMPTY}    0    0    ${EMPTY}
    #超声机断开云服务
    ${res}    DisConnectAsyncPost    ${token}
    #设备心跳
    ${response}    HeartRateAsyncPost    ${token}
    #校验
    ${flag}    Result Analysis Code    ${response}    false    ${1}
    Should Be True    ${flag}

Exception_002_设备心跳，Token正确性校验
    #设备心跳,传入错误的Token值
    ${response}    HeartRateAsyncPost    111111
    #校验
    ${flag}    Result Analysis Code    ${response}    false    ${1}
    Should Be True    ${flag}

Exception_003_设备心跳，Token值非空校验
    #设备心跳,不传入Token值
    ${response}    HeartRateAsyncPost    111111
    #校验
    ${flag}    Result Analysis Code    ${response}    false    ${1}
    Should Be True    ${flag}
