*** Settings ***
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/CommonLoginAsync.robot
Resource          ../../../AllApi/ClientAPI/PersonalInformationApi/IsDefaultPasswordAsync.robot
Resource          ../../../CommonConfig/Config.robot

*** Test Cases ***
查询是否初始密码，手机/邮箱注册账号未设置密码
    [Tags]    inexecution

查询是否初始密码，账号已设置密码
    ${token}    GetCommonLoginAsyncToken    ${user_mao}[0]    ${EMPTY}    ${user_mao}[1]    ${3}    ${0}
    Log    ${token}
    ${res}    IsDefaultPasswordAsyncPost    ${token}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${EMPTY}    ${EMPTY}
    Should Be True    ${flag}

查询是否初始密码，Token非空校验
    ${res}    IsDefaultPasswordAsyncPost    ${EMPTY}
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}

查询是否初始密码，Token正确性校验
    ${res}    IsDefaultPasswordAsyncPost    111aaa
    Log    ${res}
    ${flag}    Result Analysis    ${res}    false    ${1}    Permission validation error
    Should Be True    ${flag}
